Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.lang3.text.translate
Class OctalUnescaper

    java.lang.Object
      org.apache.commons.lang3.text.translate.CharSequenceTranslator
          org.apache.commons.lang3.text.translate.OctalUnescaper

    public class OctalUnescaper

extends CharSequenceTranslator

Translate escaped octal Strings back to their octal values. For example, "\45" should go back to being the specific value (a %). Note that this currently only supports the viable range of octal for Java; namely 1 to 377. This is both because parsing Java is the main use case and Integer.parseInt throws an exception when values are larger than octal 377.

Since:
  3.0
Version:
  $Id: OctalUnescaper.java 967237 2010-07-23 20:08:57Z mbenson $

Constructor Summary
`OctalUnescaper()`

Method Summary
`int` | `translate(CharSequence input, int index, Writer out)` Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints.

Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator
`hex, translate, translate, with`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OctalUnescaper

    public OctalUnescaper()

Method Detail

### translate

    public int translate(CharSequence input,
                         int index,
                         Writer out)
                  throws IOException

  Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints. The number of codepoints consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliable ignore StringWriter IOExceptions.

  Specified by:
    `translate` in class `CharSequenceTranslator`
  Parameters:
    `input` - CharSequence that is being translated
    `index` - int representing the current point of translation
    `out` - Writer to translate the text to
  Returns:
    int count of codepoints consumed
  Throws:
    `IOException` - if and only if the Writer produces an IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.